#ifndef LOG4QT_BASICCONFIGURATOR_H
#define LOG4QT_BASICCONFIGURATOR_H

#include <QtCore/Qt>
#include "log4qt.h"

namespace Log4Qt
{
	class Appender;
	
	/*!
	 * \brief The class BasicConfigurator provides a simple package 
	 *        configuration.
	 * 
	 * \note All the functions declared in this class are thread-safe.
	 */
	class BasicConfigurator
	{
	private:
	    BasicConfigurator(); // Not implemented
	    // BasicConfigurator(const BasicConfigurator &rOther); // Use compiler default
	    // virtual ~BasicConfigurator(); // Use compiler default
	    // BasicConfigurator &operator=(const BasicConfigurator &rOther); // Use compiler default
	    
	public:
	    static bool configure();
	    static void configure(Appender *pAppender);
	    static void resetConfiguration();
	};
	
} // namspace Log4Qt

// Q_DECLARE_TYPEINFO(Log4Qt::BasicConfigurator, Q_MOVABLE_TYPE); // Use default

#endif // LOG4QT_BASICCONFIGURATOR_H
